Subject: RE: [mobile-ip] Analysis of Latency Propagation with Buffering

From: "Hesham Soliman (ERA)" <[email-masked]>
Date: Fri, 3 Aug 2001 00:17:32 +0200

Pat, Charlie and James,
 
> >
> >>> I wanted to clarify that it isn't buffering itself that adds
delay.
> >>> A packet could be buffered AND transmitted to the mobile node at
the
> >>> same time, which then would show that buffering does not have to
> >>> introduce any delay.  If a packet is received by the mobile node,
> >>> then presumably it would prefer not to receive the buffered copy
of
> >>> that packet at any time in the future.
> >
> >> Well, I guess I agree, but what is the point of buffering if you
> >> are going to transmit it or of transmitting it if you are going
> >> to buffer it? The two options seem mutually exclusive to me.
> >> Am I missing something?
> >
> >The point of buffering and simultaneously transmitting is that
> >sometimes the mobile node might not be there to receive the
transmitted
> >packet -- say because it moved to a new access router.  Then it would
> >request the previous access router to send the buffered packets that
> >it had not already received.
> >
> 
> OK, now I understand. I suggested something like this, but with
> the new AR doing the buffering, in Appendix B of the BETH draft.

in which case the mobile doesn't have to request the packets, since
opening the L2 would cause buffered packets to be released to the 
mobile node.

=> Two points to consider here:

1. What Charlie suggests above IS bicasting
   except that it is not explicitly requested by 
   the MN. There are several issues here that I highlighted
   on the FMIPv6 list and on this list earlier. 

2. How do you know the MN has detached ?? Is this 
   a generic assumption ? The answer is you don't 
   know on all link layers and it is not a generic
   assumption.

Hesham

---

From: Pat Calhoun <[email-masked]>
Date: Thu, 2 Aug 2001 15:12:24 -0700

So in my mind, I believe that the main difference between the bicasting
and buffering approaches is simply that the latter requires the mobile
to *request* packets.

Am I right?

PatC